Deployments
Retrieve all deployments.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Filter by project ID or name.
length <= 100Filter by deployment group ID or name
Filter by exact deployment name. Must be used with deploymentGroup.
length <= 100Filter by manager ID
Filter by deployment purpose
Value in
- "application"
- "encryption"
- "ai"
- "storage"
- "container-registry"
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Search deployments by name, public subdomain, or deployment group name
length <= 256Filter deployments by status
Filter deployments by effective environment
Optional fields to include: release, deploymentGroup, project
Maximum number of items to return per page
1 <= value <= 10020Cursor for pagination - omit for first page
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments?project=my-project"{ "items": [ { "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "retryRequested": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "release": { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "version": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z" }, "deploymentGroup": { "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01" }, "project": { "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app" } } ], "nextCursor": "string"}Create a new deployment. Deployment group tokens automatically use their group. Workspace/project tokens must provide deploymentGroupId.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for creating a new deployment
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments" \ -H "Content-Type: application/json" \ -d '{ "name": "acme-prod", "platform": "aws", "project": "string" }'{ "deployment": { "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "acme-prod", "publicSubdomain": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "basePlatform": "aws", "region": "string", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "stackSettings": { "compute": { "pools": { "property1": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" }, "property2": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" } } }, "deploymentModel": "push", "domains": { "customDomains": { "property1": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" }, "property2": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" } }, "publicEndpointTarget": { "mode": "machineAddresses" } }, "externalBindings": {}, "heartbeats": "off", "kubernetes": { "cluster": { "cloud": { "accountId": "string", "clusterId": "string", "clusterName": "string", "projectId": "string", "region": "string", "resourceGroup": "string", "subscriptionId": "string" }, "namespace": "string", "ownership": "managed" }, "exposure": { "mode": "disabled" } }, "network": { "type": "use-default" }, "telemetry": "off", "updates": "auto" }, "stackState": { "platform": "aws", "resourcePrefix": "string", "resources": { "property1": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" }, "property2": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" } } }, "runtimeMetadata": { "initialSetupAuthority": "importedHandoff", "lastSyncedEnvVarsHash": "string", "lastSyncedSecretNames": [ "string" ], "pendingPreparedStack": { "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "persistedGateAnswers": { "property1": true, "property2": true }, "preparedStack": { "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ null ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": {}, "scope": "string" }, "stack": { "condition": {}, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "registryAccessGranted": true, "setupUpdateAuthorization": { "baselineFrozenDigest": "string", "nonce": "string", "releaseId": "string", "setupFingerprint": "string", "setupFingerprintVersion": 0, "setupTarget": "string", "targetFrozenDigest": "string" } }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "retryRequested": true, "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "environmentVariables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "targetEnvironmentVariables": { "variables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "hash": "string", "createdAt": "2019-08-24T14:15:22Z" }, "currentEnvironmentVariables": { "variables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "hash": "string", "createdAt": "2019-08-24T14:15:22Z" }, "updateState": { "active": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "next": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "latest": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0" }, "deploymentModel": "push", "token": "string"}Get aggregated deployment statistics. Returns total count and breakdown by status.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Filter by deployment group ID or name
Filter by manager ID
Filter by deployment purpose
Value in
- "application"
- "encryption"
- "ai"
- "storage"
- "container-registry"
Filter deployments by effective environment
Filter deployments by status
Search deployments by name or deployment group name
length <= 256Response Body
application/json
application/json
curl -X GET "https://example.com/v1/deployments/stats?project=my-project"{ "total": 0, "byStatus": { "property1": 0, "property2": 0 }, "byPlatform": { "property1": 0, "property2": 0 }, "byCurrentRelease": { "property1": 0, "property2": 0 }, "byPinnedRelease": { "property1": 0, "property2": 0 }, "byOrigin": { "framework": 0, "remoteOperator": 0 }}List distinct effective environments used by deployments. Used for filter dropdowns.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Response Body
application/json
application/json
curl -X GET "https://example.com/v1/deployments/filter-environments?project=my-project"{ "items": [ "aws" ]}List deployment groups with deployment counts. Used for filter dropdowns.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Filter by project ID or name.
length <= 100Search deployment groups by name
length <= 256Maximum number of items to return
1 <= value <= 10020Response Body
application/json
application/json
curl -X GET "https://example.com/v1/deployments/filter-deployment-groups?project=my-project"{ "items": [ { "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "string", "deploymentCount": 0, "runningCount": 0, "failedCount": 0, "inProgressCount": 0 } ]}Retrieve a deployment by ID.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Optional fields to include: release, deploymentGroup, project
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc"{ "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "acme-prod", "publicSubdomain": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "basePlatform": "aws", "region": "string", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "stackSettings": { "compute": { "pools": { "property1": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" }, "property2": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" } } }, "deploymentModel": "push", "domains": { "customDomains": { "property1": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" }, "property2": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" } }, "publicEndpointTarget": { "mode": "machineAddresses" } }, "externalBindings": {}, "heartbeats": "off", "kubernetes": { "cluster": { "cloud": { "accountId": "string", "clusterId": "string", "clusterName": "string", "projectId": "string", "region": "string", "resourceGroup": "string", "subscriptionId": "string" }, "namespace": "string", "ownership": "managed" }, "exposure": { "mode": "disabled" } }, "network": { "type": "use-default" }, "telemetry": "off", "updates": "auto" }, "stackState": { "platform": "aws", "resourcePrefix": "string", "resources": { "property1": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" }, "property2": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" } } }, "runtimeMetadata": { "initialSetupAuthority": "importedHandoff", "lastSyncedEnvVarsHash": "string", "lastSyncedSecretNames": [ "string" ], "pendingPreparedStack": { "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "persistedGateAnswers": { "property1": true, "property2": true }, "preparedStack": { "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "registryAccessGranted": true, "setupUpdateAuthorization": { "baselineFrozenDigest": "string", "nonce": "string", "releaseId": "string", "setupFingerprint": "string", "setupFingerprintVersion": 0, "setupTarget": "string", "targetFrozenDigest": "string" } }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "retryRequested": true, "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "environmentVariables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "targetEnvironmentVariables": { "variables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "hash": "string", "createdAt": "2019-08-24T14:15:22Z" }, "currentEnvironmentVariables": { "variables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "hash": "string", "createdAt": "2019-08-24T14:15:22Z" }, "updateState": { "active": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "next": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "latest": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "release": { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "version": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z" }, "deploymentGroup": { "id": "dg_r27ict8c7vcgsumpj90ackf7b", "name": "prod-us-east-1", "externalId": "ext_example_01" }, "project": { "id": "prj_mcytp6z3j91f7tn5ryqsfwtr", "name": "my-app" }}Get deployment connection information including command endpoint and resource URLs.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/info"{ "arc": { "url": "http://example.com", "deploymentId": "string" }, "resources": { "property1": { "type": "string", "publicEndpoints": { "property1": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" }, "property2": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" } } }, "property2": { "type": "string", "publicEndpoints": { "property1": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" }, "property2": { "url": "http://example.com", "protocol": "http", "host": "string", "port": 1, "wildcardHost": "string" } } } }, "status": "pending", "platform": "string"}Import a deployment from resolved setup infrastructure such as CloudFormation, Terraform, or Helm.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for importing a deployment from resolved setup infrastructure
Request schema for importing a deployment from resolved setup infrastructure
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/import" \ -H "Content-Type: application/json" \ -d '{ "source": { "deploymentName": "string", "resourcePrefix": "string", "platform": "aws", "region": "string", "setupTarget": "string", "setupImportFormatVersion": 1, "setupFingerprint": "string", "setupFingerprintVersion": 0, "stackSettings": {}, "resources": [ { "id": "string", "type": "string", "importData": { "property1": null, "property2": null } } ] } }'{ "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "acme-prod", "publicSubdomain": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "basePlatform": "aws", "region": "string", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "stackSettings": { "compute": { "pools": { "property1": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" }, "property2": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" } } }, "deploymentModel": "push", "domains": { "customDomains": { "property1": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" }, "property2": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" } }, "publicEndpointTarget": { "mode": "machineAddresses" } }, "externalBindings": {}, "heartbeats": "off", "kubernetes": { "cluster": { "cloud": { "accountId": "string", "clusterId": "string", "clusterName": "string", "projectId": "string", "region": "string", "resourceGroup": "string", "subscriptionId": "string" }, "namespace": "string", "ownership": "managed" }, "exposure": { "mode": "disabled" } }, "network": { "type": "use-default" }, "telemetry": "off", "updates": "auto" }, "stackState": { "platform": "aws", "resourcePrefix": "string", "resources": { "property1": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" }, "property2": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" } } }, "runtimeMetadata": { "initialSetupAuthority": "importedHandoff", "lastSyncedEnvVarsHash": "string", "lastSyncedSecretNames": [ "string" ], "pendingPreparedStack": { "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "persistedGateAnswers": { "property1": true, "property2": true }, "preparedStack": { "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "registryAccessGranted": true, "setupUpdateAuthorization": { "baselineFrozenDigest": "string", "nonce": "string", "releaseId": "string", "setupFingerprint": "string", "setupFingerprintVersion": 0, "setupTarget": "string", "targetFrozenDigest": "string" } }, "currentReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "desiredReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "pinnedReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "releaseChannel": "string", "importSource": "cloudformation", "setupMethod": "cloudformation", "setupMetadata": { "property1": null, "property2": null }, "setupTarget": "string", "setupFingerprint": "string", "setupFingerprintVersion": 1, "operatorScope": "string", "operatorPermission": "string", "operatorVersion": "string", "capabilities": [ { "key": "string", "state": "granted", "detail": "string" } ], "retryRequested": true, "lastHeartbeatAt": "2019-08-24T14:15:22Z", "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "environmentVariables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "targetEnvironmentVariables": { "variables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "hash": "string", "createdAt": "2019-08-24T14:15:22Z" }, "currentEnvironmentVariables": { "variables": [ { "name": "string", "value": "string", "type": "plain", "targetResources": [ "string" ] } ], "hash": "string", "createdAt": "2019-08-24T14:15:22Z" }, "updateState": { "active": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "next": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }, "latest": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "managerId": "mgr_enxscjrqiiu2lrc672hwwuc5", "workspaceId": "ws_It13CUaGEhLLAB87simX0"}Store operator-provided input values on a first-party deployment session token so CLI/local deploys apply them.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/deployments/first-party-inputs" \ -H "Content-Type: application/json" \ -d '{ "platform": "aws" }'{ "ok": true}Start a durable setup registration operation for CloudFormation, Terraform, or Helm.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/setup-registration-operations" \ -H "Content-Type: application/json" \ -d '{ "action": "create", "sourceKind": "cloudformation" }'{ "id": "setupop_y41lqnfosxuwqkzmiax7", "action": "create", "sourceKind": "cloudformation", "status": "pending", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "physicalResourceId": "string", "result": { "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "deploymentToken": "string", "helmValues": "string" }, "error": { "message": "string", "retryable": true }}Get setup registration operation status.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the setup registration operation.
setupop_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/deployments/setup-registration-operations/setupop_y41lqnfosxuwqkzmiax7"{ "id": "setupop_y41lqnfosxuwqkzmiax7", "action": "create", "sourceKind": "cloudformation", "status": "pending", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "physicalResourceId": "string", "result": { "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "deploymentToken": "string", "helmValues": "string" }, "error": { "message": "string", "retryable": true }}Delete, detach, or forget a deployment by ID.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/delete" \ -H "Content-Type: application/json" \ -d '{ "action": "cleanup" }'{ "action": "cleanup", "message": "string"}Redeploy a running deployment with the same release and fresh environment variables. Sets status to update-pending.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/redeploy"{ "message": "string", "operation": { "id": "duop_0vtxpb1sw4sbcdwg2xo37q6", "status": "queued", "reasons": [ "configuration" ], "targetReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "changedKeys": [ "string" ], "requestedAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z" }}Pin or unpin a running or runtime-failed deployment. Running deployments start an update; failed deployments retry toward the selected release.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for pinning/unpinning deployment release
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/pin-release" \ -H "Content-Type: application/json" \ -d '{}'{ "message": "string"}Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the deployment.
dep_[0-9a-z]{28}$Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/deployments/dep_0c29fq4a2yjb7kx3smwdgxlc/release-channel" \ -H "Content-Type: application/json" \ -d '{ "channel": "string" }'{ "id": "dep_0c29fq4a2yjb7kx3smwdgxlc", "name": "acme-prod", "publicSubdomain": "string", "status": "pending", "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "platform": "aws", "basePlatform": "aws", "region": "string", "deploymentProtocolVersion": 1, "deploymentGroupId": "dg_r27ict8c7vcgsumpj90ackf7b", "purpose": "application", "environmentInfo": { "accountId": "string", "region": "string", "platform": "aws" }, "stackSettings": { "compute": { "pools": { "property1": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" }, "property2": { "failure_domains": { "selectedFailureDomains": [ "string" ], "spread": 0 }, "machine": "string", "machines": 0, "mode": "fixed" } } }, "deploymentModel": "push", "domains": { "customDomains": { "property1": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" }, "property2": { "certificate": { "aws": { "certificateArn": "string" }, "azure": { "keyVaultCertificateId": "string", "keyVaultResourceId": "string" }, "gcp": { "certificateName": "string" }, "kubernetes": { "tlsSecretRef": { "namespace": "string", "secretName": "string" } } }, "domain": "string" } }, "publicEndpointTarget": { "mode": "machineAddresses" } }, "externalBindings": {}, "heartbeats": "off", "kubernetes": { "cluster": { "cloud": { "accountId": "string", "clusterId": "string", "clusterName": "string", "projectId": "string", "region": "string", "resourceGroup": "string", "subscriptionId": "string" }, "namespace": "string", "ownership": "managed" }, "exposure": { "mode": "disabled" } }, "network": { "type": "use-default" }, "telemetry": "off", "updates": "auto" }, "stackState": { "platform": "aws", "resourcePrefix": "string", "resources": { "property1": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" }, "property2": { "_internal": null, "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "controllerPlatform": "aws", "dependencies": [ { "id": "string", "type": "string" } ], "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null }, "lastFailedState": null, "lifecycle": "frozen", "outputs": { "type": "string", "property1": null, "property2": null }, "previousConfig": { "id": "string", "type": "string", "property1": null, "property2": null }, "remoteBindingParams": null, "retryAttempt": 0, "status": "pending", "type": "string" } } }, "runtimeMetadata": { "initialSetupAuthority": "importedHandoff", "lastSyncedEnvVarsHash": "string", "lastSyncedSecretNames": [ "string" ], "pendingPreparedStack": { "id": "string", "inputs": [ { "default": { "type": "string", "value": "string" }, "description": "string", "env": [ { "name": "string", "targetResources": [ "string" ], "type": "plain" } ], "id": "string", "kind": "string", "label": "string", "placeholder": "string", "platforms": [ "aws" ], "providedBy": [ "developer" ], "required": true, "validation": { "format": "string", "max": "string", "maxItems": 0, "maxLength": 0, "min": "string", "minItems": 0, "minLength": 0, "pattern": "string", "values": [ "string" ] } } ], "permissions": { "management": { "extend": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } }, "profiles": { "property1": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] }, "property2": { "property1": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ], "property2": [ { "description": "string", "id": "string", "platforms": { "aws": [ { "binding": { "resource": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] }, "stack": { "condition": { "property1": {}, "property2": {} }, "resources": [ "string" ] } }, "description": "string", "effect": "Allow", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "azure": [ { "binding": { "resource": { "scope": "string" }, "stack": { "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ], "gcp": [ { "binding": { "resource": { "condition": { "expression": "string", "title": "string" }, "scope": "string" }, "stack": { "condition": { "expression": "string", "title": "string" }, "scope": "string" } }, "description": "string", "grant": { "actions": [ "string" ], "dataActions": [ "string" ], "permissions": [ "string" ], "predefinedRoles": [ "string" ], "residualPermissions": [ "string" ] }, "label": "string" } ] } } ] } } }, "resources": { "property1": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true }, "property2": { "config": { "id": "string", "type": "string", "property1": null, "property2": null }, "dependencies": [ { "id": "string", "type": "string" } ], "enabledWhen": "string", "lifecycle": "frozen", "remoteAccess": true } }, "supportedPlatforms": [ "aws" ] }, "persistedGateAnswers": { "property1": true, "property2": true }, "preparedStack": { "id": "string", "inputs": [
[...]
